class CreateMediaObjsAndMediaAttachments < ActiveRecord::Migration[5.1]
  def change
    create_table :media_objs do |t|
      t.attachment :file
      t.string     :type
      
      t.references :creator, polymorphic: true
      t.timestamps
    end

    create_table :media_attachments do |t|
      t.string     :column_name

      t.references :attached, polymorphic: true
      t.references :obj
      t.timestamps
    end
  end
end
